Subject: bug#12647: 24.2.50; emacs --daemon broken in tty

From: Toby Cubitt <[email-masked]>
Date: Tue, 16 Oct 2012 23:42:36 +0200

On Tue, Oct 16, 2012 at 05:34:42PM -0400, Stefan Monnier wrote:
> >>> In the past, frame.el set x-display-name, but it does not do
> >>> that any more.
> >> Where did it do it?
> > In make-frame-on-display, right before calling
> > x-initialize-window-system. (Look at emacs-24.)
> >>> The following example frame.el change makes it work again, but someone
> >>> should check this area.
> >> To a large extent x-display-name should disappear
> > But not during a feature freeze.
> 
> Agreed.
> 
> >> So this part of the code is pretty ugly.  Your patch is probably OK in
> >> the sense that it doesn't seem to make things significantly worse.
> > It was only an example change showing what the problem seems to be.
> > I'm not saying it is the right fix.
> 
> We agreed above that we can't afford the right fix for the
> feature freeze.

I assume you agree that some interim fix is necessary then?

As I mentioned, this bug breaks stuff out there in the real world, such
as the Gentoo emacs init scripts. (These can be used to start emacs
daemons for users at bootup, so they always run emacs --daemon outside of
X, indeed usually before X has even been started).

Toby
-- 
Dr T. S. Cubitt
Mathematics and Quantum Information group
Department of Mathematics
Complutense University
Madrid, Spain

email: [email-masked]
web:   www.dr-qubit.org